---
title: ServiceWorker.scriptURL
slug: Web/API/ServiceWorker/scriptURL
tags:
  - API
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - scriptURL
---
<div>{{APIRef("Service Workers API")}}</div>

<p>Returns the <code>ServiceWorker</code> serialized script URL defined as part of <a href="/en-US/docs/Web/API/ServiceWorkerRegistration" title="ServiceWorkerRegistion is an interface object representing the service worker registration. You register a service worker to control one or more pages that share the same origin."><code>ServiceWorkerRegistration</code></a>. Must be on the same origin as the document that registers the <code>ServiceWorker</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">someURL = ServiceWorker.scriptURL
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} (see the <a href="https://heycam.github.io/webidl/#idl-USVString">WebIDL definition of USVString</a>.)</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#service-worker-url', 'scriptURL')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorker.scriptURL")}}</p>
</div>
